### Hierarchy

- Security

## Index

### Properties

- LOCAL_TRUSTED
- LOCAL_WITH_FILE
- LOCAL_WITH_NETWORK
- REMOTE
- disableAVM1Loading
- exactSettings
- sandboxType

### Methods

- allowDomain
- allowInsecureDomain
- loadPolicyFile

## Properties

### Static LOCAL_TRUSTED

LOCAL_TRUSTED: string

- Defined in lib/openfl/system/Security.d.ts:11

### Static LOCAL_WITH_FILE

LOCAL_WITH_FILE: string

- Defined in lib/openfl/system/Security.d.ts:12

### Static LOCAL_WITH_NETWORK

LOCAL_WITH_NETWORK: string

- Defined in lib/openfl/system/Security.d.ts:13

### Static REMOTE

REMOTE: string

- Defined in lib/openfl/system/Security.d.ts:14

### Static disableAVM1Loading

disableAVM1Loading: boolean

- Defined in lib/openfl/system/Security.d.ts:16

### Static exactSettings

exactSettings: boolean

- Defined in lib/openfl/system/Security.d.ts:17

### Static sandboxType

sandboxType: string

- Defined in lib/openfl/system/Security.d.ts:23

## Methods

### Static allowDomain

- allowDomain(p1?: any, p2?: any, p3?: any, p4?: any, p5?: any): void

- - Defined in lib/openfl/system/Security.d.ts:26

  #### Parameters

  - ##### Optional p1: any

  - ##### Optional p2: any

  - ##### Optional p3: any

  - ##### Optional p4: any

  - ##### Optional p5: any

  #### Returns void

### Static allowInsecureDomain

- allowInsecureDomain(p1?: any, p2?: any, p3?: any, p4?: any, p5?: any): void

- - Defined in lib/openfl/system/Security.d.ts:27

  #### Parameters

  - ##### Optional p1: any

  - ##### Optional p2: any

  - ##### Optional p3: any

  - ##### Optional p4: any

  - ##### Optional p5: any

  #### Returns void

### Static loadPolicyFile

- loadPolicyFile(url: string): void

- - Defined in lib/openfl/system/Security.d.ts:37

  #### Parameters

  - ##### url: string

  #### Returns void

Generated using TypeDoc